> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# List Permissions

GET https://%7Baccount-domain%7D.console.eon.io/api/v1/permissions

Retrieves a list of user permissions.

Reference: https://docs.eon.io/api/api-reference/access-management/roles/list-permissions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

Permissions retrieved.

- `permissions` (list of Permission, required) — List of available user permissions.

## Types

### Permission

- `permissionType` (enum, required) — User permission.
  - Allowed values: `permission_id_unspecified`, `global_settings.view`, `vault_accounts.manage`, `cost_explorer.view`, `user_access.manage`, `saml_group_access.manage`, `api_credentials.manage`, `api_credentials.rotate_secret`, `custom_roles.manage`, `dashboard.view`, `inventory.view`, `jobs.view`, `audit_logs.view`, `backup_settings.view`, `storage_gateway.view`, `database_explorer.search`, `file_explorer.search`, `snapshots.take_or_convert`, `resources.restore`, `configuration.validate`, `files.restore`, `databases.query`, `data_classes.override`, `environments.override`, `detected_apps.override`, `network_classification.override`, `control_violations.mute`, `backup_exclusion.manage`, `vaults.manage`, `source_accounts.manage`, `restore_accounts.manage`, `backup_policies.manage`, `discovery_configuration.manage`, `backup_configuration.manage`, `controls.manage`, `ransomware_detection.manage`, `notification_policies.manage`, `storage_gateway.manage`, `oauth_apps.manage`, `file_explorer.delete`, `storage_gateway_data.download`, `storage_gateway_metadata.view`, `data_catalog.view`, `discovery.trigger`
- `description` (string, required) — Description of the actions the permission allows.
- `allowConditions` (boolean, required, default: false) — Whether the permission can be restricted with access conditions. Relevant when the permission is used in a user role.

## Examples

**Response**

```json
{
  "permissions": [
    {
      "permissionType": "inventory.view",
      "description": "Can view resource details in the inventory.",
      "allowConditions": false
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/permissions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/permissions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{account-domain}.console.eon.io/api/v1/permissions")
  .header("Authorization", "Bearer <token>")
  .asString();
```